--Block of unneccessary code
--[[
-- Define the function to give the gliding ability to Max
local function giveAbility(player)
    -- Check if the player has the "max" skin
    if player.mo.skin == "max" then
        -- Give the player the gliding ability
        player.glide = 1
        print("Gave gliding ability to player " .. player.mo.name)
    end
end

-- Hook into the player's spawn event
addHook("PlayerSpawn", function(player)
    -- Call the function to give the gliding ability to Max
    giveAbility(player)
end)
--]]


-- Hook into the player's think event
addHook("ThinkFrame", function()
    -- Loop through all players in the game
    for player in players.iterate do
        -- Check if the player has the "max" skin and is pressing the custom button 1
        if player.mo.skin == "max" and (player.cmd.buttons & BT_CUSTOM2) then
            -- lower the Z momentum to simulate gliding
			player.mo.momz = -1 * FRACUNIT
        end
    end
end)